> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List semantic model

> List semantic models, optionally filtered by domain name.

**Required roles**: `nx1_semantic_user`, `nx1_semantic_modeller`, or `nx1_semantic_admin`



## OpenAPI

````yaml get /api/semantic-models
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/semantic-models:
    get:
      tags:
        - Semantic models
      summary: List semantic model
      description: >-
        List semantic models, optionally filtered by domain name.


        **Required roles**: `nx1_semantic_user`, `nx1_semantic_modeller`, or
        `nx1_semantic_admin`
      operationId: list_semantic_models_api_semantic_models_get
      parameters:
        - name: domain_name
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by domain name.
            title: Domain Name
          description: Filter by domain name.
        - name: status
          in: query
          required: false
          schema:
            anyOf:
              - $ref: '#/components/schemas/SemanticModelStatus'
              - type: 'null'
            description: Filter by status.
            title: Status
          description: Filter by status.
        - name: owner_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by owner.
            title: Owner Id
          description: Filter by owner.
        - name: skip
          in: query
          required: false
          schema:
            type: integer
            minimum: 0
            description: Number of records to skip.
            default: 0
            title: Skip
          description: Number of records to skip.
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            maximum: 200
            minimum: 1
            description: Maximum records to return.
            default: 50
            title: Limit
          description: Maximum records to return.
      responses:
        '200':
          description: List of semantic models
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SemanticModelListResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    SemanticModelStatus:
      type: string
      enum:
        - draft
        - pending_review
        - approved
        - rejected
        - deployed
        - failed
        - archived
      title: SemanticModelStatus
      description: Status of a semantic model.
    SemanticModelListResponse:
      properties:
        models:
          items:
            $ref: '#/components/schemas/SemanticModelSummary'
          type: array
          title: Models
        total_count:
          type: integer
          title: Total Count
        skip:
          type: integer
          title: Skip
        limit:
          type: integer
          title: Limit
      type: object
      required:
        - models
        - total_count
        - skip
        - limit
      title: SemanticModelListResponse
      description: Response for listing semantic models.
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SemanticModelSummary:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        domain_name:
          type: string
          title: Domain Name
        status:
          $ref: '#/components/schemas/SemanticModelStatus'
        created_by:
          type: string
          title: Created By
        created_at:
          type: string
          format: date-time
          title: Created At
        reviewed_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Reviewed By
        view_name:
          anyOf:
            - type: string
            - type: 'null'
          title: View Name
      type: object
      required:
        - id
        - name
        - description
        - domain_name
        - status
        - created_by
        - created_at
        - reviewed_by
        - view_name
      title: SemanticModelSummary
      description: Summary view of a semantic model.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````